#ifndef __KEY_H__
#define __KEY_H__

//////////////////////////////////////////////////////////////////////////////
// Key Functions
//

class CKey
{
public:
  CKey();
  virtual ~CKey();

public:
  inline BOOL operator==(CKey &key);
  inline BOOL operator<(CKey &key);
  inline BOOL operator>(CKey &key);
  inline BOOL operator<=(CKey &key);
  inline BOOL operator>=(CKey &key);
  inline UINT_32 hash(UINT_32 uiSize);

protected:

};

//////////////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline BOOL CKey::operator==(CKey &key);
inline BOOL CKey::operator<(CKey &key);
inline BOOL CKey::operator>(CKey &key);
inline BOOL CKey::operator<=(CKey &key);
inline BOOL CKey::operator>=(CKey &key);
inline UINT_32 CKey::hash(UINT_32 uiSize);

#endif // __KEY_H__

